import QtQuick 1.0
import MeeGo.Components 0.1
import Qt 4.7
import QtWebKit 1.0
import "content"
import Qt 4.7
import MeeGo.Ux.Kernel 0.1
import MeeGo.Components 0.1

Window {
    id: window
    objectName: window
    bookMenuModel: [ "HelpPage" ]    // sets the book context menu
    bookMenuPayload: [ helpPage ]

    Component.onCompleted: {
        switchBook( helpPage )
                }

    function orientationChanged(orientation) {

    console.log("orientation ==" + orientation)
    rotation: orientation
    }

    Component {
        id: helpPage
        AppPage {
            ModalDialog {
            id:confirmDeleteDialog
            title :qsTr("Swype")
            buttonHeight: 35
            showCancelButton: true
            showAcceptButton: true
            cancelButtonText: qsTr( "ok" )
            acceptButtonText: qsTr( "Settings" )
            property variant action
            action: webView.reload
            property string eventId
            alignTitleCenter:true
            width: window.width/2
            height: window.height*3/4
            content: Rectangle {
                id: webBrowser
                objectName: "webBrowser"
                width:confirmDeleteDialog.width
                height: confirmDeleteDialog.height
                function orientationChanged(orientation) {

                console.log("orientation ==" + orientation)
                rotation = orientation
                }
                //rotation: 90
                //property string urlString : "/home/meego/.swype/TmpMarkup.htm"
                property string urlString : ""

                property string  bgSourceUp: "image://themedimage/widgets/common/button/button"
                property string bgSourceDn: "image://themedimage/widgets/common/button/button-pressed"
                property string bgSourceActive: "image://themedimage/widgets/common/button/button-default"

                color: "#343434"

                     FlickableWebView {
                         id: webView
                         objectName: "webView"
                         onProgressChanged: header.urlChanged = false
                         anchors { top: headerSpace.bottom; left: parent.left; right: parent.right; bottom: parent.bottom }
                     }

                     Item { id: headerSpace; width: parent.width; height: 0 }

                     Header {
                         id: header
                         editUrl: webView.url
                         width: 0; height: 0//headerSpace.height
                     }

                     ScrollBar {
                         scrollArea: webView; width: 8
                         anchors { right: parent.right; top: header.bottom; bottom: parent.bottom }
                     }

                     ScrollBar {
                         id: hScrollbar
                         scrollArea: webView; height: 8; orientation: Qt.Horizontal
                         anchors { right: parent.right; rightMargin: 8; left: parent.left; bottom: parent.bottom }
                     }
               }



            // handle signals:
            onAccepted: {
                confirmDeleteDialog.hide();
                dialogMeego.buttonSettingsPressed()

            }
            onRejected: {
                confirmDeleteDialog.hide();
                dialogMeego.buttonAcceptPressed();
                }
            }
            Component.onCompleted: {
                confirmDeleteDialog.show()
                }

            }
    }
}
